org.apache.geode.cache.query.data

## Class PortfolioPdx

- java.lang.Object
- - org.apache.geode.cache.query.data.PortfolioPdx

- All Implemented Interfaces:
    java.io.Serializable, PdxSerializable

      public class PortfolioPdx
      extends java.lang.Object
      implements java.io.Serializable, PdxSerializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PortfolioPdx.Day`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PortfolioPdx.Day` | `aDay`
    `java.util.HashMap` | `collectionHolderMap`
    `long` | `createTime`
    `static boolean` | `DEBUG`
    `java.lang.String` | `description`
    `java.lang.String[]` | `names`
    `static int` | `numInstance`
    `java.lang.String` | `pkid`
    `PositionPdx` | `position1`
    `PositionPdx` | `position2`
    `java.lang.Object[]` | `position3`
    `java.util.HashMap` | `positions`
    `static java.lang.String[]` | `secIds`
    `short` | `shortID`
    `java.lang.String` | `status`
    `java.lang.String` | `unicodeṤtring`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortfolioPdx()`
    `PortfolioPdx(int i)`
    `PortfolioPdx(int i, int j)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `boolFunction(java.lang.String strArg)`
    `boolean` | `equals(java.lang.Object o)`
    `void` | `fromData(PdxReader in)` Deserializes the PDX fields using the given reader.
    `java.lang.String` | `funcReturnSecId(java.lang.Object o)`
    `java.util.HashMap` | `getCollectionHolderMap()`
    `long` | `getCreateTime()`
    `ComparableWrapper` | `getCW(int x)`
    `double` | `getDoubleMinValue()`
    `float` | `getFloatMinValue()`
    `int` | `getID()`
    `float` | `getLongMinValue()`
    `PositionPdx` | `getP1()`
    `PositionPdx` | `getP2()`
    `java.lang.String` | `getPk()`
    `java.util.HashMap` | `getPositions()`
    `java.util.HashMap` | `getPositions(int i)`
    `java.util.HashMap` | `getPositions(java.lang.Integer i)`
    `java.util.HashMap` | `getPositions(java.lang.String str)`
    `java.lang.String` | `getType()` Getter for property type.S
    `int` | `hashCode()`
    `int` | `intFunction(int j)`
    `boolean` | `isActive()`
    `long` | `longFunction(long j)`
    `void` | `setCreateTime(long time)`
    `boolean` | `testMethod(boolean booleanArg)`
    `void` | `toData(PdxWriter out)` Serializes the PDX fields using the given writer.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          public static boolean DEBUG

    - #### aDay

          public PortfolioPdx.Day aDay

    - #### shortID

          public short shortID

    - #### pkid

          public java.lang.String pkid

    - #### position1

          public PositionPdx position1

    - #### position2

          public PositionPdx position2

    - #### position3

          public java.lang.Object[] position3

    - #### description

          public java.lang.String description

    - #### createTime

          public long createTime

    - #### positions

          public java.util.HashMap positions

    - #### collectionHolderMap

          public java.util.HashMap collectionHolderMap

    - #### status

          public java.lang.String status

    - #### names

          public java.lang.String[] names

    - #### unicodeṤtring

          public java.lang.String unicodeṤtring

    - #### numInstance

          public static int numInstance

    - #### secIds

          public static java.lang.String[] secIds

  - ### Constructor Detail

    - #### PortfolioPdx

          public PortfolioPdx()

    - #### PortfolioPdx

          public PortfolioPdx(int i)

    - #### PortfolioPdx

          public PortfolioPdx(int i,
                              int j)

  - ### Method Detail

    - #### getID

          public int getID()

    - #### getCreateTime

          public long getCreateTime()

    - #### setCreateTime

          public void setCreateTime(long time)

    - #### getPk

          public java.lang.String getPk()

    - #### getPositions

          public java.util.HashMap getPositions()

    - #### getPositions

          public java.util.HashMap getPositions(java.lang.String str)

    - #### getPositions

          public java.util.HashMap getPositions(java.lang.Integer i)

    - #### getPositions

          public java.util.HashMap getPositions(int i)

    - #### getP1

          public PositionPdx getP1()

    - #### getP2

          public PositionPdx getP2()

    - #### getCollectionHolderMap

          public java.util.HashMap getCollectionHolderMap()

    - #### getCW

          public ComparableWrapper getCW(int x)

    - #### testMethod

          public boolean testMethod(boolean booleanArg)

    - #### isActive

          public boolean isActive()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getType

          public java.lang.String getType()

      Getter for property type.S
      Returns:
        Value of property type.

    - #### boolFunction

          public boolean boolFunction(java.lang.String strArg)

    - #### intFunction

          public int intFunction(int j)

    - #### funcReturnSecId

          public java.lang.String funcReturnSecId(java.lang.Object o)

    - #### longFunction

          public long longFunction(long j)

    - #### getFloatMinValue

          public float getFloatMinValue()

    - #### getLongMinValue

          public float getLongMinValue()

    - #### getDoubleMinValue

          public double getDoubleMinValue()

    - #### fromData

          public void fromData(PdxReader in)

      Description copied from interface: `PdxSerializable`
      Deserializes the PDX fields using the given reader.
      Specified by:
        `fromData` in interface `PdxSerializable`
      Parameters:
        `in` - the `PdxReader` to use to read the PDX fields.

    - #### toData

          public void toData(PdxWriter out)

      Description copied from interface: `PdxSerializable`
      Serializes the PDX fields using the given writer.
      Specified by:
        `toData` in interface `PdxSerializable`
      Parameters:
        `out` - the `PdxWriter` to use to write the PDX fields.